OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMSubdivideMesh Class Reference

`#include <SubdivideMesh.h>`

Inheritance diagram for OMSubdivideMesh:

## Public Member Functions
| MDS_SHAREDPTR (OMSubdivideMesh)
| OMSubdivideMesh (const std::string &sDescription)
virtual | ~OMSubdivideMesh ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
std::string | m_method
int | m_iterations

## Detailed Description

Module subdivides mesh wit use of one of implemented methods Possible methods are: Loop, Composite Loop, Sqrt3, Composite Sqrt3

## Constructor & Destructor Documentation

OMSubdivideMesh::OMSubdivideMesh | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMSubdivideMesh::~OMSubdivideMesh | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMSubdivideMesh::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMSubdivideMesh::MDS_SHAREDPTR | ( | OMSubdivideMesh |  | ) |

Smart pointer type

void OMSubdivideMesh::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMSubdivideMesh::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMSubdivideMesh::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

int OMSubdivideMesh::m_iterations
| protected

Number of iterations

std::string OMSubdivideMesh::m_method
| protected

Subdivision method

The documentation for this class was generated from the following files:

- trunk/src/modules/SubdivideMesh/SubdivideMesh.h
- trunk/src/modules/SubdivideMesh/SubdivideMesh.cpp